Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler
Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19108
Description

When embedding a group from another project one gets a correct GetCapabilities / GetProjectSettings command that contains all layers,
but when issueing a GetMap Request the individual layers of embedded groups cannot be retrieved.

Here is my project setup:

Project A:

Layers "Hello"

Layers "Country"

Embedded Group from Project B: "Hydrology"

Project B:

Group "Hydrology"
--> Layer "Rivers"
--> Layer "Lakes"

The GetMap that requests Hello,Country,Hydrology works fine, but not the one that requests Hello,Country,Rivers,Lakes

So it seems one can request embedded groups as a whole in the GetMap request, but not individual leaf layers that are individually
addressed.

Associated revisions

Revision 40d91457 - 2014-07-10 05:25 PM - Marco Hugentobler

Fix #10720

Revision e973c66a - 2014-08-29 03:25 PM - Marco Hugentobler

Fix #10720

History

#1 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2014-07-10 08:29 AM - Marco Hugentobler
- Status changed from Open to Closed
Fixed in changeset commit:"40d91457{6f069886c5ba1c28db1efb2ff4ccac7".
